
#declare Sphere = quadric { <1, 1, 1>, <0, 0, 0>, <0, 0, 0>, -1 }

#declare Cylinder_X = quadric { <0, 1, 1>, <0, 0, 0>, <0, 0, 0>, -1 }
#declare Cylinder_Y = quadric { <1, 0, 1>, <0, 0, 0>, <0, 0, 0>, -1 }
#declare Cylinder_Z = quadric { <1, 1, 0>, <0, 0, 0>, <0, 0, 0>, -1 }

//#declare Cone_X = quadric { < 0,  1,  1>, <0, 0, 0>, <1, 0, 0>, 0 }
  #declare Cone_X = quadric { <-1,  1,  1>, <0, 0, 0>, <0, 0, 0>, 0 }
//#declare Cone_Y = quadric { < 1,  0,  1>, <0, 0, 0>, <0, 1, 0>, 0 }
  #declare Cone_Y = quadric { < 1, -1,  1>, <0, 0, 0>, <0, 0, 0>, 0 }
//#declare Cone_Z = quadric { < 1,  1,  0>, <0, 0, 0>, <0, 0, 1>, 0 }
  #declare Cone_Z = quadric { < 1,  1, -1>, <0, 0, 0>, <0, 0, 0>, 0 }

#declare Plane_YZ = quadric { <0, 0, 0>, <0, 0, 0>, <1, 0, 0>, 0 }
#declare Plane_XZ = quadric { <0, 0, 0>, <0, 0, 0>, <0, 1, 0>, 0 }
#declare Plane_XY = quadric { <0, 0, 0>, <0, 0, 0>, <0, 0, 1>, 0 }

// y^2 + z^2 - x = 0
#declare Paraboloid_X = quadric { <0, 1, 1>, <0, 0, 0>, <-1, 0, 0>, 0 }

// x^2 + z^2 - y = 0
#declare Paraboloid_Y = quadric { <1, 0, 1>, <0, 0, 0>, <0, -1, 0>, 0 }

// x^2 + y^2 - z = 0
#declare Paraboloid_Z = quadric { <1, 1, 0>, <0, 0, 0>, <0, 0, -1>, 0 }

// y - x^2 + z^2 = 0
#declare Hyperboloid = quadric { <-1, 0, 1>, <0, 0, 0>, <0, 1, 0>, 0 }

#declare X_Disk =
intersection {       // Capped cylinder, Length in X axis //
	quadric { Cylinder_X }
	plane { <1, 0, 0>, 0 inverse }
	plane { <1, 0, 0>, 1 }
}
#declare Y_Disk =
intersection {       // Capped cylinder, Length in Y axis }
	quadric { Cylinder_Y }
	plane { <0, 1, 0>, 0 inverse }
	plane { <0, 1, 0>, 1 }
}
#declare Z_Disk =
intersection {       // Capped cylinder, Length in Z axis }
	quadric { Cylinder_Z }
	plane { <0, 0, 1>, 0 inverse }
	plane { <0, 0, 1>, 1 }
}

#declare Black = color red 0 green 0 blue 0;
#declare White = color red 1 green 1 blue 1;
#declare Red = color red 1;
#declare Green = color green 1;
#declare Blue = color blue 1;
#declare Yellow = color red 1 green 1;
#declare Cyan = color blue 1 green 1;
#declare Magenta = color red 1 blue 1;

#declare Red_Marble =
pigment {
	marble
	turbulence 1
	color_map {
		[0.0 0.800 color red 0.8 green 0.8 blue 0.6 color red 0.8 green 0.4 blue 0.4]
		[0.8 1.001 color red 0.8 green 0.4 blue 0.4 color red 0.8 green 0.2 blue 0.2]
	}
	scale <10, 10, 10>
}

#declare Brown_Agate =
pigment {
	agate
	turbulence 0.3
	color_map {
		[0.0 0.500 color red 1.0 green 1.0 blue 1.0 color red 0.9 green 0.7 blue 0.6]
		[0.5 0.600 color red 0.9 green 0.7 blue 0.6 color red 0.9 green 0.7 blue 0.4]
		[0.6 1.001 color red 0.9 green 0.7 blue 0.4 color red 0.7 green 0.4 blue 0.2]
	}
	scale <10, 10, 10>
}

#declare Blue_Marble =
pigment {
	agate
	turbulence 0.3
	color_map {
		[0.0 0.500  color red 0.30 green 0.30 blue 0.50 color red 0.30 green 0.30 blue 0.50]
		[0.5 0.550  color red 0.30 green 0.30 blue 0.50 color red 0.20 green 0.20 blue 0.30]
		[0.55 0.60  color red 0.20 green 0.20 blue 0.30 color red 0.25 green 0.25 blue 0.35]
		[0.6 0.700  color red 0.25 green 0.25 blue 0.35 color red 0.15 green 0.15 blue 0.26]
		[0.7 0.800  color red 0.15 green 0.15 blue 0.26 color red 0.10 green 0.10 blue 0.20]
		[0.8 0.900  color red 0.10 green 0.10 blue 0.20 color red 0.30 green 0.30 blue 0.50]
		[0.9 1.001  color red 0.30 green 0.30 blue 0.50 color red 0.10 green 0.10 blue 0.20]
	}
	scale <10, 10, 10>
}

#declare Dull =
finish {
    ambient 0.3
    diffuse 0.7
}
#declare Shiny =
finish {
    ambient 0.3
    diffuse 0.7
    phong 1
    phong_size 20
}
#declare Mirror =
finish {
    ambient 0
    diffuse 0
    reflection 1
}
#declare Luminous =
finish {
    ambient 1
    diffuse 0
}
#declare Metal =
finish {
    ambient 0.3
    diffuse 0.7
    brilliance 6.0
}
// interior { ior 1.2 }
#declare Glass =
finish {
    ambient 0
    diffuse 0
    reflection 0.5
    //refraction 0.5
    //ior 1.2
}
#declare Glass2 =
finish {
    ambient 0
    diffuse 0
    reflection 0.5
    //refraction 0.5
}
